=== src/assistants/integrate/CMakeLists.txt ===
set( IntegrateAssistant_SRCS
     integrateassistant.cpp
)

ki18n_wrap_ui(IntegrateAssistant_SRCS integratedlg.ui)

add_assistant(integrateassistant ${IntegrateAssistant_SRCS})

install( FILES cantor_integrate_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )
