=== debian/changelog ===
cantor (4:18.12.0-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:01:15 +0800

cantor (4:18.12.0-2) unstable; urgency=medium

  * Team upload.
  * Do not build the scilab backend on armel, mips, and mipsel
    (Closes: #926565).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 16 Apr 2019 18:44:00 -0500

cantor (4:18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes the SageMath backend (Closes: #910722, #911084)
  * Update the build dependencies according to the build system:
    - bump cmake to 3.1.0
    - bump all the KF5 packages to 5.49.0
    - add libkf5syntaxhighlighting-dev, and libmarkdown2-dev
  * Update install files.
  * Update lintian overrides.
  * Update the patches:
    - acceptable_answers: drop, as it does not apply anymore, and there is no
      information on what it does nor its status
  * Remove the 'testsuite' autopkgtest, since it fails, and it does not test
    the packages in the archive
    - dbus is not run anymore (Closes: #835839)
  * Disable the build (passing -DBUILD_TESTING=OFF to cmake) of the unit tests,
    as they are not run at build time.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 14:26:49 +0100
