## cantor 18.12.3a

=== debian/changelog ===
cantor (4:18.12.3a-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Rename source tarball appending 'a' for upstream respin.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:30 +0000

cantor (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:57 +0000

cantor (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:35 +0000

cantor (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.
    - Kubuntu Vcs fields.
    - Breaks/Replaces and maintscipt for config files moved from main cantor
      package to their respective backends.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 17:29:23 +0000

cantor (4:18.04.3-0ubuntu6) disco; urgency=medium

  * No-change rebuild against latest libqalculate

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 09:23:55 -0500

cantor (4:18.04.3-0ubuntu5) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:34:25 +0000

cantor (4:18.04.3-0ubuntu4) cosmic; urgency=medium

  * Fix debian/not-installed file so it works with latest pkg-kde-tools

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 03 Sep 2018 21:27:38 +0100

cantor (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Remove cantor_lua.knsrc from install files. This is already
    installed by debian rules if built. Also add to not-installed
    so not falsely flagged by list-missing.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 14:10:03 +0100
