=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: cmake (>= 3.1.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
-               libanalitza-dev (>> 4:15.08),
+               julia [amd64 arm64 armhf ppc64el],
+               libanalitza-dev (>= 4:18.12.3~),
                libglib2.0-dev,
+               libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),
                libkf5completion-dev (>= 5.49.0~),
                libkf5config-dev (>= 5.49.0~),
@@ -39,8 +41,8 @@
                r-base-core,
 Standards-Version: 4.3.0
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
@@ -55,7 +57,7 @@
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [amd64 arm64 armhf i386 powerpc ppc64el s390x],
+          cantor-backend-scilab [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x],
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: interface for mathematical applications
@@ -77,6 +79,21 @@
  .
  This package is part of the KDE education module.
 
+Package: cantor-backend-julia
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using Julia
+ (http://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-kalgebra
 Architecture: any
 Section: math
@@ -96,8 +113,8 @@
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -128,8 +145,8 @@
 Architecture: any
 Section: math
 Depends: octave, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -181,8 +198,8 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Qalculate! backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -230,11 +247,11 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-scilab
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Scilab backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -245,6 +262,20 @@
  package for numerical computations (http://www.scilab.org) in Cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
 
 Package: libcantor-pythonbackend
 Architecture: any
