=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-6~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
@@ -14,12 +14,6 @@
 	# Disable dh_auto_test at build time
 	:
 
-override_dh_auto_install:
-	$(overridden_command)
-	# do not ship the development stuff for now
-	rm -rf debian/tmp/usr/include/cantor/
-	find debian/tmp -name '*.so' -type l -delete
-
 override_dh_makeshlibs:
 	$(overridden_command) -V
