=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.0~),
+               libanalitza-dev (>= 4:19.04.1~),
                libglib2.0-dev,
                libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),
@@ -266,7 +266,9 @@
 Package: cantor-dev
 Architecture: any
 Section: libdevel
-Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: cantor (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: interface for mathematical applications - development files
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
