=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.1~),
+               libanalitza-dev (>= 4:19.04.2~),
                libglib2.0-dev,
                libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),
