=== src/backends/python/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
   pythonsession.cpp
   pythonexpression.cpp
   pythonkeywords.cpp
+  pythonvariablemodel.cpp
   pythonhighlighter.cpp
   pythoncompletionobject.cpp
   pythonextensions.cpp
