=== debian/changelog ===
cantor (4:19.04.3-0ubuntu3) focal; urgency=medium

  * For now only build with julia on amd64.

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2019 06:31:00 +0000

cantor (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff to fix FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 16 Aug 2019 13:17:57 +0100

cantor (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:11 +0100
