=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: cmake (>= 3.1.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
-               julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.2~),
+               julia [amd64],
+               libanalitza-dev (>= 4:19.04.3~),
                libglib2.0-dev,
-               libjulia-dev [amd64 arm64 armhf ppc64el],
+               libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),
                libkf5completion-dev (>= 5.49.0~),
                libkf5config-dev (>= 5.49.0~),
